MulticastTransportChannel (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.multicast.MulticastTransportChannel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.multicast
Class MulticastTransportChannel

    java.lang.Object
      org.codehaus.activemq.transport.TransportChannelSupport
          org.codehaus.activemq.transport.udp.UdpTransportChannel
              org.codehaus.activemq.transport.multicast.MulticastTransportChannel

All Implemented Interfaces:
  Runnable, Service, TransportChannel

public class MulticastTransportChannel
extends UdpTransportChannel

A multicast implementation of a TransportChannel

Version:
  $Revision: 1.11 $

Field Summary

Fields inherited from class org.codehaus.activemq.transport.udp.UdpTransportChannel
`inetAddress, port, socket`

Fields inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`pendingStop, transportConnected`

Constructor Summary
`MulticastTransportChannel(WireFormat wireFormat, MulticastSocket socket)`
`MulticastTransportChannel(WireFormat wireFormat, URI remoteLocation)` Connect to a remote Node - e.g.

Method Summary
`protected void` | `connect()`
`protected DatagramSocket` | `createSocket(int port)`
`boolean` | `isMulticast()`
`String` | `toString()` pretty print for object

Methods inherited from class org.codehaus.activemq.transport.udp.UdpTransportChannel
`asyncSend, canProcessWireFormatVersion, createDatagramPacket, createDatagramPacket, getCurrentWireFormatVersion, run, start, stop`

Methods inherited from class org.codehaus.activemq.transport.TransportChannelSupport
`addTransportStatusEventListener, doAsyncSend, doConsumePacket, doConsumePacket, doHandleReceipt, doHandleWireFormat, fireStatusEvent, fireStatusEvent, getClientID, getExceptionListener, getPacketListener, getTransportChannelListener, isPendingStop, isServerSide, isTransportConnected, onAsyncException, removeTransportStatusEventListener, send, send, setClientID, setExceptionListener, setPacketListener, setPendingStop, setServerSide, setTransportChannelListener, setTransportConnected, stopExecutor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MulticastTransportChannel

    public MulticastTransportChannel(WireFormat wireFormat,
                                     URI remoteLocation)
                              throws JMSException

  Connect to a remote Node - e.g. a Broker

Parameters:
  `remoteLocation` -
Throws:
  `JMSException`

### MulticastTransportChannel

    public MulticastTransportChannel(WireFormat wireFormat,
                                     MulticastSocket socket)
                              throws JMSException

Parameters:
  `socket` -
Throws:
  `JMSException`

Method Detail

### isMulticast

    public boolean isMulticast()

  Specified by:
    `isMulticast` in interface `TransportChannel`
  Overrides:
    `isMulticast` in class `UdpTransportChannel`

### toString

    public String toString()

  pretty print for object

  Overrides:
    `toString` in class `UdpTransportChannel`
  Returns:
    String representation of this object

### connect

    protected void connect()
                    throws IOException

  Overrides:
    `connect` in class `UdpTransportChannel`
  Throws:
    `IOException`

### createSocket

    protected DatagramSocket createSocket(int port)
                                   throws IOException

  Overrides:
    `createSocket` in class `UdpTransportChannel`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.